add @extra support

This commit is contained in:
brad 2003-12-26 02:36:57 +00:00
parent 7099b9500a
commit 661b50b0d4
6 changed files with 10 additions and 23 deletions

View File

@ -1,5 +1,5 @@
#!/bin/sh
# $OpenBSD: DEINSTALL,v 1.2 2003/05/12 21:16:42 sturm Exp $
# $OpenBSD: DEINSTALL,v 1.3 2003/12/26 02:36:57 brad Exp $
#
# mutt de-installation
@ -8,7 +8,7 @@ PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
CONFIG_DIR=${CONFDIR}
if [ -d $CONFIG_DIR ]; then
if [ "$PKG_DELETE_EXTRA" != Yes -a -d $CONFIG_DIR ]; then
echo
echo "+---------------"
echo "| To completely deinstall the $1 package you need to perform"

View File

@ -1,11 +1,8 @@
#!/bin/sh
# $OpenBSD: INSTALL,v 1.2 2003/05/12 21:16:42 sturm Exp $
# $OpenBSD: INSTALL,v 1.3 2003/12/26 02:36:57 brad Exp $
#
# Pre/post-installation setup of mutt
# exit on errors, use a sane path and install prefix
#
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
CONFIG_DIR=${CONFDIR}
@ -37,15 +34,11 @@ do_install()
echo
}
# verify proper execution
#
if [ $# -ne 2 ]; then
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
fi
# Verify/process the command
#
case $2 in
PRE-INSTALL)
: nothing to pre-install for this port

View File

@ -1,4 +1,4 @@
@comment $OpenBSD: PLIST,v 1.7 2003/12/16 18:28:01 naddy Exp $
@comment $OpenBSD: PLIST,v 1.8 2003/12/26 02:36:57 brad Exp $
bin/flea
bin/mutt
bin/mutt_dotlock
@ -120,3 +120,4 @@ share/locale/zh_TW/LC_MESSAGES/mutt.mo
@dirrm share/examples/mutt
@dirrm share/doc/mutt/html
@dirrm share/doc/mutt
@extraunexec rm -rf ${CONFDIR}

View File

@ -1,14 +1,13 @@
#!/bin/sh
# $OpenBSD: DEINSTALL,v 1.2 2003/05/12 21:16:42 sturm Exp $
# $OpenBSD: DEINSTALL,v 1.3 2003/12/26 02:36:57 brad Exp $
#
# mutt de-installation
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
CONFIG_DIR=${CONFDIR}
if [ -d $CONFIG_DIR ]; then
if [ "$PKG_DELETE_EXTRA" != Yes -a -d $CONFIG_DIR ]; then
echo
echo "+---------------"
echo "| To completely deinstall the $1 package you need to perform"

View File

@ -1,11 +1,8 @@
#!/bin/sh
# $OpenBSD: INSTALL,v 1.2 2003/05/12 21:16:42 sturm Exp $
# $OpenBSD: INSTALL,v 1.3 2003/12/26 02:36:57 brad Exp $
#
# Pre/post-installation setup of mutt
# exit on errors, use a sane path and install prefix
#
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
CONFIG_DIR=${CONFDIR}
@ -37,15 +34,11 @@ do_install()
echo
}
# verify proper execution
#
if [ $# -ne 2 ]; then
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
fi
# Verify/process the command
#
case $2 in
PRE-INSTALL)
: nothing to pre-install for this port

View File

@ -1,4 +1,4 @@
@comment $OpenBSD: PLIST,v 1.4 2003/12/16 18:28:01 naddy Exp $
@comment $OpenBSD: PLIST,v 1.5 2003/12/26 02:36:57 brad Exp $
bin/flea
bin/mutt
bin/mutt_dotlock
@ -112,3 +112,4 @@ share/locale/zh_TW/LC_MESSAGES/mutt.mo
@dirrm share/examples/mutt
@dirrm share/doc/mutt/html
@dirrm share/doc/mutt
@extraunexec rm -rf ${CONFDIR}